Skip to main content

DCC Capture


Overview

A DCC capture request indicates an accepted order. This request is sent when a DCC transaction is successfully authorized.

When processing a capture, apply the same exchange rate used at the time of payment authorization. Ensure the captured amount does not exceed the originally authorized amount.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

Visa Platform Connect Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "157.00",      "currency": "AUD",      "exchangeRate": "1.57",      "originalAmount": "100.00",      "originalCurrency": "USD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/captures/7625576567396098504806/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/captures/7625576567396098504806"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "7625576567396098504806",  "orderInformation": {    "amountDetails": {      "totalAmount": "157.00",      "currency": "AUD"    }  },  "reconciliationId": "7625574701416008504806",  "status": "PENDING",  "submitTimeUtc": "2025-11-07T23:20:56Z"}

FDC Nashville Global Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "USD",      "foreignAmount": "157.00",      "foreignCurrency": "AUD",      "exchangeRate": "1.57",      "exchangeRateTimeStamp": "20251108 12:12"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/captures/7625562821436326504806/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/captures/7625562821436326504806"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "7625562821436326504806",  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "USD"    }  },  "reconciliationId": "76706982",  "status": "PENDING",  "submitTimeUtc": "2025-11-07T22:58:02Z"}

Required Fields

In addition to the normal fields required for a regular capture, these fields are required when DCC has been offered and the cardholder has chosen to pay in their billing currency.

orderInformation.amountDetails.currency string · Required

The cardholder's billing currency (matching the authorization).

orderInformation.amountDetails.exchangeRate string · Required

Exchange rate returned in the DCC offer response — must match the value used at authorization.

orderInformation.amountDetails.exchangeRateTimeStamp string · Required for FDI Global

Timestamp of the exchange rate. Required for FDI Global transactions.

orderInformation.amountDetails.foreignAmount string · Required for FDI Global

Foreign amount for the transaction. Required for FDI Global transactions.

orderInformation.amountDetails.foreignCurrency string · Required for FDI Global

Foreign currency for the transaction. Required for FDI Global transactions.

orderInformation.amountDetails.originalAmount string · Required for VPC

Amount of the transaction in your local pricing currency. Required for Visa Platform Connect transactions.

orderInformation.amountDetails.originalCurrency string · Required for VPC

Your local pricing currency. Required for Visa Platform Connect transactions.

orderInformation.amountDetails.totalAmount string · Required

The total amount to capture in the cardholder's billing currency.

Last published: September 29, 2026